//------------------------------------------------------------------------------
// <auto-generated>
//     このコードはテンプレートから生成されました。
//
//     このファイルを手動で変更すると、アプリケーションで予期しない動作が発生する可能性があります。
//     このファイルに対する手動の変更は、コードが再生成されると上書きされます。
// </auto-generated>
//------------------------------------------------------------------------------

namespace CsvImportingApp
{
    using System;
    using System.Collections.Generic;
    
    /// <summary>
    /// カテゴリ
    /// </summary>
    public partial class CATEGORY
    {
        /// <summary>コンストラクタ</summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public CATEGORY()
        {
            this.ITEMS = new HashSet<ITEM>();
        }
    
        /// <summary>カテゴリID</summary>
        public int CATEGORY_ID { get; set; }
        /// <summary>カテゴリ名</summary>
        public string CATEGORY_NAME { get; set; }
    
        /// <summary>商品一覧情報</summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ITEM> ITEMS { get; set; }
    }
}
